#ifndef POLYNOMIAL_HPP
#define POLYNOMIAL_HPP

#include <cstddef> // size_t

class Polynomial
{
    static const size_t MAX_DEGREE = 5;

public:
    Polynomial();
    void setCoeff(size_t n, float coeff);

    float value(float arg) const;
    float coeff(size_t n) const;
    size_t degree() const;
private:
    float coeffs_[MAX_DEGREE+1];
};

#endif // POLYNOMIAL_HPP
