#include "polynomial_printer.hpp"

#include <iostream>

template<typename Polynomial>
void PolynomialPrinter::print(const Polynomial& p) const
{
    std::cout << "p(x) = ";
    for(auto i = p.degree()+1; i; --i)
    {
        if (0 != p.coeff(i-1))
        {
            std::cout << " + (" << p.coeff(i-1) << ")*x^" << (i-1);
        }
    }
    std::cout << "\n";
}