#ifndef POLYNOMIAL_SECANT_HPP
#define POLYNOMIAL_SECANT_HPP

template<typename T>
class Polynomial;

class PolynomialSecant
{
public:
    template<typename T>
    T calculate(const Polynomial<T>& p, const T& arg, T diff = static_cast<T>(1e-6)) const;
};

#include "polynomial_secant.ipp"

#endif // POLYNOMIAL_SECANT_HPP
