#include "polynomial_tangent.hpp"

#include "polynomial_derivative.hpp"

template<typename T>
T PolynomialTangnet::calculate(const Polynomial<T>& p, const T& arg) const
{
    return PolynomialDerivative().derive(p).value(arg);
}
