#include <iostream>

#include "impl_2/polynomial.hpp"

#include "polynomial_printer.hpp"

auto getPolynomial()
{
    return Polynomial();
}

void test_1()
{
    auto p1 = getPolynomial();

    p1.setCoeff(0, 1);
    p1.setCoeff(1, 2);
    p1.setCoeff(3, 4);
    p1.setCoeff(10, 4);

    PolynomialPrinter().print(p1);

    std::cout << "rzad wielomianu p(x) : " << p1.degree() << "\n";

    for( auto i = -2; i < 3; ++ i)
    {
        std::cout << "p(" << i << ") = " << p1.value(i) << "\n";
    }
}

int main()
{
    std::cout << "wyklad 5 - impl 2\n";

    test_1();
        
    return 0;
}
