#include "polynomial_secant.hpp"

template<typename T>
T PolynomialSecant::calculate(const Polynomial<T>& p, const T& arg, T diff) const
{
    return (p.value(arg+diff/2) - p.value(arg-diff/2)) / diff;
}
